%define realname qwt
%define major 6

Name: libqwt
Version: 6.0.1
Release: %mkrel 9
Summary: 2D plotting widget extension to the Qt GUI
License: Qwt License 1.0
Group: System/Libraries
Url: http://sourceforge.net/projects/qwt
Source: http://freefr.dl.sourceforge.net/sourceforge/qwt/%realname-%version.tar.bz2
Patch0: qwt-6.0.1-fedora-install_qt.patch
Patch1: qwt-6.0.1-mageia-fix-strings.patch
BuildRequires: qt4-devel

%description
Qwt is an extension to the Qt GUI library from Troll Tech AS.
The Qwt library contains widgets and components which are
primarily useful for technical and scientifical purposes.
It includes a 2-D plotting widget, different kinds of sliders,
and much more.

#------------------------------------------------------------------------------
%define libname %mklibname %realname %{major}

%package -n %libname 
Summary: 2D plotting widget extension to the Qt GUI
Group: System/Libraries

%description -n %libname
Qwt is an extension to the Qt GUI library from Troll Tech AS.
The Qwt library contains widgets and components which are
primarily useful for technical and scientifical purposes.
It includes a 2-D plotting widget, different kinds of sliders,
and much more.

This package provides the runtime library.

%files -n %libname
%doc CHANGES COPYING README
%{_qt4_libdir}/libqwt.so.%{major}*
%{_qt4_libdir}/libqwtmathml.so.%{major}*
%{_qt4_plugindir}/designer/*

#------------------------------------------------------------------------------

%define libnamedev %mklibname qwt -d

%package -n %libnamedev
Summary: Development tools for programs which uses Qwt Widget set
Group: System/Libraries
Requires: %libname = %version
Provides: libqwt-devel = %version-%release
Conflicts: %{_lib}qwt5-devel

%description -n %libnamedev
The libqwt-devel package contains the header files and static libraries
necessary for developing programs using the Qwt Widget set

If you want to develop programs which will use this set of widgets,
you should install this package. You need also to install the libqwt package.

%files -n %libnamedev
%doc COPYING 
%doc examples
%docdir %{_qt4_docdir}/html/
%{_qt4_docdir}/html/qwt/
%{_qt4_includedir}/*
%{_qt4_libdir}/*.so
%{_libdir}/pkgconfig/%realname.pc
%{_qt4_datadir}/mkspecs/*

#------------------------------------------------------------------------------

%prep
%setup -q -n %realname-%version
%autopatch -p1


%build
%qmake_qt4 CONFIG+=QwtSVGItem CONFIG+=install-qt LIBS+=-lrt
%make

%install
make install INSTALL_ROOT=%{buildroot}
mv %{buildroot}/%{_qt4_docdir}/html/html %{buildroot}/%{_qt4_docdir}/html/qwt


%changelog
* Sat Feb 06 2016 umeabot <umeabot> 6.0.1-9.mga6
+ Revision: 941594
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 6.0.1-8.mga5
+ Revision: 749041
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 6.0.1-7.mga5
+ Revision: 681739
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 6.0.1-6.mga4
+ Revision: 507316
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 6.0.1-5.mga3
+ Revision: 358045
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 18 2012 zezinho <zezinho> 6.0.1-4.mga3
+ Revision: 319481
- add conflicts with libqwt5

* Sun Nov 18 2012 zezinho <zezinho> 6.0.1-3.mga3
+ Revision: 319446
- conflict devel package and remove bad obsoletes

* Sat Nov 17 2012 zezinho <zezinho> 6.0.1-2.mga3
+ Revision: 319237
- obsoletes qwt5

* Sat Nov 17 2012 zezinho <zezinho> 6.0.1-1.mga3
+ Revision: 319010
- fix build
- update patch

* Fri Nov 16 2012 zezinho <zezinho> 5.2.2-3.mga3
+ Revision: 318996
- spec cleanup

* Tue Dec 27 2011 dmorgan <dmorgan> 5.2.2-2.mga2
+ Revision: 187989
- Rebuild against new qt4 and new include path

* Mon Dec 12 2011 mikala <mikala> 5.2.2-1.mga2
+ Revision: 181023
- Update tarball to 5.2.2
- sync patch0 with fedora's one
- drop patch1
- change spec layout
- fix description
- remove %%clean & %%defattr()

* Fri Apr 01 2011 ahmad <ahmad> 5.2.1-3.mga1
+ Revision: 79417
- drop old/unneeded scriptlets
- imported package libqwt


* Sat Feb 05 2011 Funda Wang <fwang@mandriva.org> 5.2.1-2mdv2011.0
+ Revision: 636050
- tighten BR

* Mon Aug 23 2010 Yuri Myasoedov <omerta13@mandriva.org> 5.2.1-1mdv2011.0
+ Revision: 572091
- New version 5.2.1

* Fri May 01 2009 Funda Wang <fwang@mandriva.org> 5.2.0-1mdv2010.0
+ Revision: 369350
- New version 5.2.0

* Fri Mar 13 2009 Funda Wang <fwang@mandriva.org> 5.1.1-1mdv2009.1
+ Revision: 354460
- rediff patch

* Tue Aug 05 2008 Funda Wang <fwang@mandriva.org> 5.1.1-1mdv2009.0
+ Revision: 263932
- New version 5.1.1

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu May 15 2008 Funda Wang <fwang@mandriva.org> 5.1.0-1mdv2009.0
+ Revision: 207499
- New version 5.1.0

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 5.0.2-1mdv2008.1
+ Revision: 140928
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Jul 21 2007 Funda Wang <fwang@mandriva.org> 5.0.2-1mdv2008.0
+ Revision: 54251
- New version
- renew file list
- Build qt4 version

* Mon Apr 23 2007 Lenny Cartier <lenny@mandriva.org> 5.0.1-1mdv2008.0
+ Revision: 17323
- Update to 5.0.1


* Tue Jan 23 2007 Lenny Cartier <lenny@mandriva.com> 5.0.0-1mdv2007.0
+ Revision: 112574
- Updated to 5.0.0

* Fri Aug 11 2006 Gaëtan Lehmann <glehmann@mandriva.org> 4.2.0-6mdv2007.0
+ Revision: 55477
- rebuild
- Import libqwt

* Mon Dec 12 2005 Helio Chissini de Castro <helio@mandriva.com> 4.2.0-5mdk
- Move designer plugins for proper place in lib or lib64

* Wed Oct 05 2005 Lenny Cartier <lenny@mandriva.com> 4.2.0-4mdk
- rebuild

* Wed Jul 27 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 4.2.0-3mdk
- build on x86_64
- fix buildrequires

* Sat Jun 25 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 4.2.0-2mdk
- use mkrel
- fix doc path warning

* Wed Mar 02 2005 Olivier Lahaye <olivier.lahaye1@free.Fr> 1mdk
- port spec to Mandrake 10.1

* Fri Feb 11 2005 Vitaly Lipatov <lav@altlinux.ru> 4.2.0-alt2
- move libraries to /usr/lib64, fix .so placement

* Fri Dec 03 2004 Vitaly Lipatov <lav@altlinux.ru> 4.2.0-alt1
- first build for ALT Linux Sisyphus

